Package org.eclipse.birt.chart.model.component

# Interface Dial

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DialImpl`

public interface Dial extends IChartObject
A representation of the model object 'Dial'. This type defines the basic elements that are expected in a dial chart. This can further be extended for special dial chart types.

The following features are supported:

- `Start Angle`
- `Stop Angle`
- `Radius`
- `Line Attributes`
- `Fill`
- `Dial Regions`
- `Major Grid`
- `Minor Grid`
- `Scale`
- `Inverse Scale`
- `Label`
- `Format Specifier`

See Also:
  - `ComponentPackage.getDial()`

## Method Summary

Modifier and Type
Method
Description
`Dial`
`copyInstance()`
`org.eclipse.emf.common.util.EList<DialRegion>`
`getDialRegions()`
Returns the value of the 'Dial Regions' containment reference list.
`Fill`
`getFill()`
Returns the value of the 'Fill' containment reference.
`FormatSpecifier`
`getFormatSpecifier()`
Returns the value of the 'Format Specifier' containment reference.
`Label`
`getLabel()`
Returns the value of the 'Label' containment reference.
`LineAttributes`
`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`Grid`
`getMajorGrid()`
Returns the value of the 'Major Grid' containment reference.
`Grid`
`getMinorGrid()`
Returns the value of the 'Minor Grid' containment reference.
`double`
`getRadius()`
Returns the value of the 'Radius' attribute.
`Scale`
`getScale()`
Returns the value of the 'Scale' containment reference.
`double`
`getStartAngle()`
Returns the value of the 'Start Angle' attribute.
`double`
`getStopAngle()`
Returns the value of the 'Stop Angle' attribute.
`boolean`
`isInverseScale()`
Returns the value of the 'Inverse Scale' attribute.
`boolean`
`isSetInverseScale()`
Returns whether the value of the '`Inverse Scale`' attribute is set.
`boolean`
`isSetRadius()`
Returns whether the value of the '`Radius`' attribute is set.
`boolean`
`isSetStartAngle()`
Returns whether the value of the '`Start Angle`' attribute is set.
`boolean`
`isSetStopAngle()`
Returns whether the value of the '`Stop Angle`' attribute is set.
`void`
`setFill(Fill value)`
Sets the value of the '`Fill`' containment reference.
`void`
`setFormatSpecifier(FormatSpecifier value)`
Sets the value of the '`Format Specifier`' containment reference.
`void`
`setInverseScale(boolean value)`
Sets the value of the '`Inverse Scale`' attribute.
`void`
`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
`setMajorGrid(Grid value)`
Sets the value of the '`Major Grid`' containment reference.
`void`
`setMinorGrid(Grid value)`
Sets the value of the '`Minor Grid`' containment reference.
`void`
`setRadius(double value)`
Sets the value of the '`Radius`' attribute.
`void`
`setScale(Scale value)`
Sets the value of the '`Scale`' containment reference.
`void`
`setStartAngle(double value)`
Sets the value of the '`Start Angle`' attribute.
`void`
`setStopAngle(double value)`
Sets the value of the '`Stop Angle`' attribute.
`void`
`unsetInverseScale()`
Unsets the value of the '`Inverse Scale`' attribute.
`void`
`unsetRadius()`
Unsets the value of the '`Radius`' attribute.
`void`
`unsetStartAngle()`
Unsets the value of the '`Start Angle`' attribute.
`void`
`unsetStopAngle()`
Unsets the value of the '`Stop Angle`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getStartAngle

double getStartAngle()
Returns the value of the 'Start Angle' attribute. The default value is `"0"`. Specifies the start angle of the dial.

Returns:
  the value of the 'Start Angle' attribute.
See Also:
  - `isSetStartAngle()`
  - `unsetStartAngle()`
  - `setStartAngle(double)`
  - `ComponentPackage.getDial_StartAngle()`

### setStartAngle

void setStartAngle(double value)
Sets the value of the '`Start Angle`' attribute.

Parameters:
  `value` - the new value of the 'Start Angle' attribute.
See Also:
  - `isSetStartAngle()`
  - `unsetStartAngle()`
  - `getStartAngle()`

### unsetStartAngle

void unsetStartAngle()
Unsets the value of the '`Start Angle`' attribute.

See Also:
  - `isSetStartAngle()`
  - `getStartAngle()`
  - `setStartAngle(double)`

### isSetStartAngle

boolean isSetStartAngle()
Returns whether the value of the '`Start Angle`' attribute is set.

Returns:
  whether the value of the 'Start Angle' attribute is set.
See Also:
  - `unsetStartAngle()`
  - `getStartAngle()`
  - `setStartAngle(double)`

### getStopAngle

double getStopAngle()
Returns the value of the 'Stop Angle' attribute. The default value is `"180"`. Specifies the stop angle of the dial.

Returns:
  the value of the 'Stop Angle' attribute.
See Also:
  - `isSetStopAngle()`
  - `unsetStopAngle()`
  - `setStopAngle(double)`
  - `ComponentPackage.getDial_StopAngle()`

### setStopAngle

void setStopAngle(double value)
Sets the value of the '`Stop Angle`' attribute.

Parameters:
  `value` - the new value of the 'Stop Angle' attribute.
See Also:
  - `isSetStopAngle()`
  - `unsetStopAngle()`
  - `getStopAngle()`

### unsetStopAngle

void unsetStopAngle()
Unsets the value of the '`Stop Angle`' attribute.

See Also:
  - `isSetStopAngle()`
  - `getStopAngle()`
  - `setStopAngle(double)`

### isSetStopAngle

boolean isSetStopAngle()
Returns whether the value of the '`Stop Angle`' attribute is set.

Returns:
  whether the value of the 'Stop Angle' attribute is set.
See Also:
  - `unsetStopAngle()`
  - `getStopAngle()`
  - `setStopAngle(double)`

### getRadius

double getRadius()
Returns the value of the 'Radius' attribute. Specifies the radius of the dial.

Returns:
  the value of the 'Radius' attribute.
See Also:
  - `isSetRadius()`
  - `unsetRadius()`
  - `setRadius(double)`
  - `ComponentPackage.getDial_Radius()`

### setRadius

void setRadius(double value)
Sets the value of the '`Radius`' attribute.

Parameters:
  `value` - the new value of the 'Radius' attribute.
See Also:
  - `isSetRadius()`
  - `unsetRadius()`
  - `getRadius()`

### unsetRadius

void unsetRadius()
Unsets the value of the '`Radius`' attribute.

See Also:
  - `isSetRadius()`
  - `getRadius()`
  - `setRadius(double)`

### isSetRadius

boolean isSetRadius()
Returns whether the value of the '`Radius`' attribute is set.

Returns:
  whether the value of the 'Radius' attribute is set.
See Also:
  - `unsetRadius()`
  - `getRadius()`
  - `setRadius(double)`

### getLineAttributes

LineAttributes getLineAttributes()
Returns the value of the 'Line Attributes' containment reference. Specifies the border line style.

Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `setLineAttributes(LineAttributes)`
  - `ComponentPackage.getDial_LineAttributes()`

### setLineAttributes

void setLineAttributes(LineAttributes value)
Sets the value of the '`Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `getLineAttributes()`

### getFill

Fill getFill()
Returns the value of the 'Fill' containment reference. Specifies the background fill style.

Returns:
  the value of the 'Fill' containment reference.
See Also:
  - `setFill(Fill)`
  - `ComponentPackage.getDial_Fill()`

### setFill

void setFill(Fill value)
Sets the value of the '`Fill`' containment reference.

Parameters:
  `value` - the new value of the 'Fill' containment reference.
See Also:
  - `getFill()`

### getDialRegions

org.eclipse.emf.common.util.EList<DialRegion> getDialRegions()
Returns the value of the 'Dial Regions' containment reference list. The list contents are of type `DialRegion`. Defines a set of areas for a range of values within a dial displayed as filled sections extending across the dial between the start and end positions.

Returns:
  the value of the 'Dial Regions' containment reference list.
See Also:
  - `ComponentPackage.getDial_DialRegions()`

### getMajorGrid

Grid getMajorGrid()
Returns the value of the 'Major Grid' containment reference. Defines the major grid associated with the dial.

Returns:
  the value of the 'Major Grid' containment reference.
See Also:
  - `setMajorGrid(Grid)`
  - `ComponentPackage.getDial_MajorGrid()`

### setMajorGrid

void setMajorGrid(Grid value)
Sets the value of the '`Major Grid`' containment reference.

Parameters:
  `value` - the new value of the 'Major Grid' containment reference.
See Also:
  - `getMajorGrid()`

### getMinorGrid

Grid getMinorGrid()
Returns the value of the 'Minor Grid' containment reference. Defines the minor grid associated with the dial.

Returns:
  the value of the 'Minor Grid' containment reference.
See Also:
  - `setMinorGrid(Grid)`
  - `ComponentPackage.getDial_MinorGrid()`

### setMinorGrid

void setMinorGrid(Grid value)
Sets the value of the '`Minor Grid`' containment reference.

Parameters:
  `value` - the new value of the 'Minor Grid' containment reference.
See Also:
  - `getMinorGrid()`

### getScale

Scale getScale()
Returns the value of the 'Scale' containment reference. Defines the scale for the dial.

Returns:
  the value of the 'Scale' containment reference.
See Also:
  - `setScale(Scale)`
  - `ComponentPackage.getDial_Scale()`

### setScale

void setScale(Scale value)
Sets the value of the '`Scale`' containment reference.

Parameters:
  `value` - the new value of the 'Scale' containment reference.
See Also:
  - `getScale()`

### isInverseScale

boolean isInverseScale()
Returns the value of the 'Inverse Scale' attribute. The default value is `"false"`. Defines if invert the scale during rendering(right to left)

Returns:
  the value of the 'Inverse Scale' attribute.
See Also:
  - `isSetInverseScale()`
  - `unsetInverseScale()`
  - `setInverseScale(boolean)`
  - `ComponentPackage.getDial_InverseScale()`

### setInverseScale

void setInverseScale(boolean value)
Sets the value of the '`Inverse Scale`' attribute.

Parameters:
  `value` - the new value of the 'Inverse Scale' attribute.
See Also:
  - `isSetInverseScale()`
  - `unsetInverseScale()`
  - `isInverseScale()`

### unsetInverseScale

void unsetInverseScale()
Unsets the value of the '`Inverse Scale`' attribute.

See Also:
  - `isSetInverseScale()`
  - `isInverseScale()`
  - `setInverseScale(boolean)`

### isSetInverseScale

boolean isSetInverseScale()
Returns whether the value of the '`Inverse Scale`' attribute is set.

Returns:
  whether the value of the 'Inverse Scale' attribute is set.
See Also:
  - `unsetInverseScale()`
  - `isInverseScale()`
  - `setInverseScale(boolean)`

### getLabel

Label getLabel()
Returns the value of the 'Label' containment reference. Defines the properties for grid labels.

Returns:
  the value of the 'Label' containment reference.
See Also:
  - `setLabel(Label)`
  - `ComponentPackage.getDial_Label()`

### setLabel

void setLabel(Label value)
Sets the value of the '`Label`' containment reference.

Parameters:
  `value` - the new value of the 'Label' containment reference.
See Also:
  - `getLabel()`

### getFormatSpecifier

FormatSpecifier getFormatSpecifier()
Returns the value of the 'Format Specifier' containment reference. Format specifier for grid label.

Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `setFormatSpecifier(FormatSpecifier)`
  - `ComponentPackage.getDial_FormatSpecifier()`

### setFormatSpecifier

void setFormatSpecifier(FormatSpecifier value)
Sets the value of the '`Format Specifier`' containment reference.

Parameters:
  `value` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `getFormatSpecifier()`

### copyInstance

Dial copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`